Package uk.ac.starlink.tfcat

# Class DummyReporter

java.lang.Object
uk.ac.starlink.tfcat.DummyReporter

All Implemented Interfaces:
  `Reporter`

public class DummyReporter extends Object implements Reporter
Reporter that discards all messages.

Since there is no internal state, in general the `INSTANCE` can be used, but a protected constructor is available in case you want to subclass it.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DummyReporter`
`INSTANCE`
Instance suitable for general use.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DummyReporter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkUcd(String ucd)`
Report on validity of the supplied Uniform Content Descriptor.
`void`
`checkUnit(String unit)`
Report on validity of the supplied unit string.
`Reporter`
`createReporter(int subContext)`
Returns a reporter suitable for use in a subcontext characterised by an integer, that usually means an indexed array element below the current level.
`Reporter`
`createReporter(String subContext)`
Returns a reporter suitable for use in a subcontext characterised by a string, that usually means a level down in the object hierarchy.
`void`
`report(String msg)`
Reports an error message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final DummyReporter INSTANCE
Instance suitable for general use.

## Constructor Details

### DummyReporter

protected DummyReporter()
Constructor.

## Method Details

### checkUcd

public void checkUcd(String ucd)
Description copied from interface: `Reporter`
Report on validity of the supplied Uniform Content Descriptor. Any issues of concern will be reported.

Specified by:
  `checkUcd` in interface `Reporter`
Parameters:
  `ucd` - UCD
See Also:
  - UCD1+

### checkUnit

public void checkUnit(String unit)
Description copied from interface: `Reporter`
Report on validity of the supplied unit string. Any issues of concern will be reported.

Specified by:
  `checkUnit` in interface `Reporter`
Parameters:
  `unit` - unit string
See Also:
  - VOUnits

### createReporter

public Reporter createReporter(int subContext)
Description copied from interface: `Reporter`
Returns a reporter suitable for use in a subcontext characterised by an integer, that usually means an indexed array element below the current level.

Specified by:
  `createReporter` in interface `Reporter`
Parameters:
  `subContext` - subcontext designation
Returns:
  new reporter

### createReporter

public Reporter createReporter(String subContext)
Description copied from interface: `Reporter`
Returns a reporter suitable for use in a subcontext characterised by a string, that usually means a level down in the object hierarchy.

Specified by:
  `createReporter` in interface `Reporter`
Parameters:
  `subContext` - subcontext designation
Returns:
  new reporter

### report

public void report(String msg)
Description copied from interface: `Reporter`
Reports an error message. The message should generally contain human-readable information about some conformance error, but the location of the error is not required.

Specified by:
  `report` in interface `Reporter`
Parameters:
  `msg` - human-readable message